
/***************************************************
 Mt_Script Multlingual Text Editor
 mtscript_1.1

 Copyright (c) 1996
 CNRS France
 All rights reserved
 March 1996
   
                       Authors:
                       --------
 Stephane HARIE                     Malek BOUALEM
 Multilingual text editor           Multilingual writing systems
 E-mail: harie@lpl.univ-aix.fr      E-mail: malek@lpl.univ-aix.fr

                    Collaborators:
                    --------------
 Jean VERONIS
 E-mail: veronis@univ-aix.fr

 LRE - MULTEXT Project (1994-1996)
 Laboratoire Parole et Langage - CNRS
 Aix-En-Provence, France
 Tel: (33) 42 95 36 27
 Fax: (33) 42 59 50 96
 E-mail: multext@lpl.univ-aix.fr
***************************************************/
  

/* Swedish rules
****************/
E4={34}			/* diaeresis " */
E5={37}			/* ring above (id. %) */

E10={97}		/* a */
E11={65}		/* A */
E16={111}	/* o */
E17={79}		/* O */

E32={228}	/*  */
E33={196}	/*  */
E34={229}	/*  */
E35={197}	/*  */

E64={246}	/*  */
E65={214}	/*  */

E100={
		32-33,35-36,38-64,66-78,80-96,98-110,112-126,128-159,161-195,
		198-213,215-227,230-245,247-255 
	  }

E101={0-7,9-31}

E110={8}			/* backspace */
E111={127}			/* delete */
E112={160}			/* accentuation filter */

%%RULES

E*,E*:0,"b";		/* non particular characters: non changed */

E*,E110:-1,"";		/* backspace */
E*,E111:1,"";		/* delete */

E112,E*:-1,"b";
E112,E110:-1,"";
E112,E111:1,"";


E10,E4:-1,"C228";		/ a,A diaeresis */
E11,E4:-1,"C196";
E10,E5:-1,"C229";		/a,A ring above */
E11,E5:-1,"C197";
E32,E110:-1,"C97";	/* BS on a,A accentuated */
E33,E110:-1,"C65";
E34,E110:-1,"C97";
E35,E110:-1,"C65";

E16,E4:-1,"C246";		/* o,O diaeresis */
E17,E4:-1,"C214";
E64,E110:-1,"C111";	/* backspace on o,O accentuated */
E65,E110:-1,"C79";

%%END
